import request from "@/api/request.js";

// 头部信息
/**
 * @param { id } 
 */
export function getGovOrgBasicInfo(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/info/${params.id}`,
        params
    })
}

// 最新动态
/**
 * @param { orgId, cRelated, currentPage, pageSize } 
 */
export function getGovOrgLatestDynamics(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/dynamics/${params.orgId}`,
        params
    })
}

// 基本信息-关键人物
/**
 * @param { orgId } 
 */
export function getGovOrgKeyPerson(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/person/${params.orgId}`,
        params
    })
}


// 深度挖掘--------------------------------------------------

// 资助企业情况
/**
 * @param { orgId } 
 */
export function getGovOrgCompanyArea(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/field/${params.orgId}`,
        params
    })
}

// 主要科技政策观点
/**
 * @param { orgId } 
 */
export function getGovOrgOpinions(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/keyWord/${params.orgId}`,
        params
    })
}